## r-cran-seurat 3.1.3

=== DESCRIPTION ===
Package: Seurat
Version: 3.1.3
Date: 2020-02-07
Title: Tools for Single Cell Genomics
Description: A toolkit for quality control, analysis, and exploration of single cell RNA sequencing data. 'Seurat' aims to enable users to identify and interpret sources of heterogeneity from single cell transcriptomic measurements, and to integrate diverse types of single cell data. See Satija R, Farrell J, Gennert D, et al (2015) <doi:10.1038/nbt.3192>, Macosko E, Basu A, Satija R, et al (2015) <doi:10.1016/j.cell.2015.05.002>, and Butler A and Satija R (2017) <doi:10.1101/164889> for more details.
Authors@R: c(
  person(given = 'Rahul', family = 'Satija', email = 'rsatija@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0001-9448-8833')),
  person(given = 'Andrew', family = 'Butler', email = 'abutler@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0003-3608-0463')),
  person(given = 'Paul', family = 'Hoffman', email = 'nygcSatijalab@nygenome.org', role = c('aut', 'cre'), comment = c(ORCID = '0000-0002-7693-8957')),
  person(given = 'Tim', family = 'Stuart', email = 'tstuart@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0002-3044-0897')),
  person(given = 'Jeff', family = 'Farrell', email = 'jfarrell@g.harvard.edu', role = 'ctb'),
  person(given = 'Shiwei', family = 'Zheng', email = 'szheng@nygenome.org', role = 'ctb', comment = c(ORCID = '0000-0001-6682-6743')),
  person(given = 'Christoph', family = 'Hafemeister', email = 'chafemeister@nygenome.org', role = 'ctb', comment = c(ORCID = '0000-0001-6365-8254')),
  person(given = 'Patrick', family = 'Roelli', email = 'proelli@nygenome.org', role = 'ctb'),
  person(given = "Yuhan", family = "Hao", email = 'yhao@nygenome.org', role = 'ctb', comment = c(ORCID = '0000-0002-1810-0822'))
  )
URL: http://www.satijalab.org/seurat,
        https://github.com/satijalab/seurat
BugReports: https://github.com/satijalab/seurat/issues
Additional_repositories: https://mojaveazure.github.io/loomR
Depends: R (>= 3.4.0), methods,
Imports: ape, cluster, cowplot, fitdistrplus, future, future.apply,
        ggplot2 (>= 3.0.0), ggrepel, ggridges, graphics, grDevices,
        grid, httr, ica, igraph, irlba, KernSmooth, leiden (>= 0.3.1),
        lmtest, MASS, Matrix (>= 1.2-14), metap, pbapply, plotly, png,
        RANN, RColorBrewer, Rcpp, RcppAnnoy, reticulate, rlang, ROCR,
        rsvd, Rtsne, scales, sctransform (>= 0.2.0), stats, tools,
        tsne, utils, uwot (>= 0.1.5)
LinkingTo: Rcpp (>= 0.11.0), RcppEigen, RcppProgress
License: GPL-3 | file LICENSE
LazyData: true
Collate: 'RcppExports.R' 'generics.R' 'clustering.R' 'visualization.R'
        'convenience.R' 'data.R' 'differential_expression.R'
        'dimensional_reduction.R' 'integration.R' 'objects.R'
        'preprocessing.R' 'tree.R' 'utilities.R' 'zzz.R'
RoxygenNote: 7.0.2
Encoding: UTF-8
biocViews:
Suggests: loomR, SDMTools, testthat, hdf5r, S4Vectors,
        SummarizedExperiment, SingleCellExperiment, MAST, DESeq2,
        BiocGenerics, GenomicRanges, GenomeInfoDb, IRanges,
        rtracklayer, monocle, Biobase, VGAM
NeedsCompilation: yes
Packaged: 2020-02-10 02:12:30 UTC; mojav
Author: Rahul Satija [aut] (<https://orcid.org/0000-0001-9448-8833>),
  Andrew Butler [aut] (<https://orcid.org/0000-0003-3608-0463>),
  Paul Hoffman [aut, cre] (<https://orcid.org/0000-0002-7693-8957>),
  Tim Stuart [aut] (<https://orcid.org/0000-0002-3044-0897>),
  Jeff Farrell [ctb],
  Shiwei Zheng [ctb] (<https://orcid.org/0000-0001-6682-6743>),
  Christoph Hafemeister [ctb] (<https://orcid.org/0000-0001-6365-8254>),
  Patrick Roelli [ctb],
  Yuhan Hao [ctb] (<https://orcid.org/0000-0002-1810-0822>)
Maintainer: Paul Hoffman <nygcSatijalab@nygenome.org>
Repository: CRAN
Date/Publication: 2020-02-11 21:40:14 UTC

=== debian/changelog ===
r-cran-seurat (3.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Sat, 22 Feb 2020 19:51:21 +0100

r-cran-seurat (3.1.2-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Set upstream metadata fields: Bug-Submit.

 -- Steffen Moeller <moeller@debian.org>  Wed, 01 Jan 2020 18:42:47 +0100

r-cran-seurat (3.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #945333
  * dh-update-R to update Build-Depends
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.
  * Standards-Version: 4.4.1
  * debian/copyright: Use spaces rather than tabs in continuation lines.
  * Fix autopkgtest

 -- Andreas Tille <tille@debian.org>  Sat, 23 Nov 2019 08:40:02 +0100

r-cran-seurat (3.0.2-1) unstable; urgency=medium

  * Initial release (closes: #934683)

 -- Steffen Moeller <moeller@debian.org>  Mon, 12 Aug 2019 15:05:26 +0200

=== debian/control ===
Source: r-cran-seurat
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-ape,
               r-cran-cluster,
               r-cran-cowplot,
               r-cran-fitdistrplus,
               r-cran-future,
               r-cran-future.apply,
               r-cran-ggplot2 (>= 3.0.0),
               r-cran-ggrepel,
               r-cran-ggridges,
               r-cran-httr,
               r-cran-ica,
               r-cran-igraph,
               r-cran-irlba,
               r-cran-kernsmooth,
               r-cran-leiden,
               r-cran-lmtest,
               r-cran-mass,
               r-cran-matrix (>= 1.2-14),
               r-cran-metap,
               r-cran-pbapply,
               r-cran-plotly,
               r-cran-png,
               r-cran-rann,
               r-cran-rcolorbrewer,
               r-cran-rcpp,
               r-cran-rcppannoy,
               r-cran-reticulate,
               r-cran-rlang,
               r-cran-rocr,
               r-cran-rsvd,
               r-cran-rtsne,
               r-cran-scales,
               r-cran-sctransform,
               r-cran-tsne,
               r-cran-uwot,
               r-cran-rcppeigen,
               r-cran-rcppprogress
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seurat
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seurat.git
Homepage: https://cran.r-project.org/package=Seurat

Package: r-cran-seurat
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Tools for Single Cell Genomics
 A toolkit for quality control, analysis, and exploration of single cell
 RNA sequencing data. 'Seurat' aims to enable users to identify and
 interpret sources of heterogeneity from single cell transcriptomic
 measurements, and to integrate diverse types of single cell data. See
 Satija R, Farrell J, Gennert D, et al (2015) <doi:10.1038/nbt.3192>,
 Macosko E, Basu A, Satija R, et al (2015)
 <doi:10.1016/j.cell.2015.05.002>, and Butler A and Satija R (2017)
 <doi:10.1101/164889> for more details.

## r-cran-seurat 3.1.5

=== debian/changelog ===
r-cran-seurat (3.1.5-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:25:41 +0000

r-cran-seurat (3.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sun, 19 Apr 2020 11:52:45 +0200

r-cran-seurat (3.1.4-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Repository.

  [ Dylan Aïssi ]
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 22 Mar 2020 13:55:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-seurat
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -25,7 +26,7 @@
                r-cran-lmtest,
                r-cran-mass,
                r-cran-matrix (>= 1.2-14),
-               r-cran-metap,
+               r-cran-patchwork,
                r-cran-pbapply,
                r-cran-plotly,
                r-cran-png,
@@ -48,6 +49,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seurat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seurat.git
 Homepage: https://cran.r-project.org/package=Seurat
+Rules-Requires-Root: no
 
 Package: r-cran-seurat
 Architecture: any

## r-cran-seurat 4.0.0

=== DESCRIPTION ===
Package: Seurat
Version: 4.0.0
Date: 2021-01-27
Title: Tools for Single Cell Genomics
Description: A toolkit for quality control, analysis, and exploration of single cell RNA sequencing data. 'Seurat' aims to enable users to identify and interpret sources of heterogeneity from single cell transcriptomic measurements, and to integrate diverse types of single cell data. See Satija R, Farrell J, Gennert D, et al (2015) <doi:10.1038/nbt.3192>, Macosko E, Basu A, Satija R, et al (2015) <doi:10.1016/j.cell.2015.05.002>, Stuart T, Butler A, et al (2019) <doi:10.1016/j.cell.2019.05.031>, and Hao, Hao, et al (2020) <doi:10.1101/2020.10.12.335331> for more details.
Authors@R: c(
  person(given = "Andrew", family = "Butler", email = "abutler@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0003-3608-0463")),
  person(given = "Saket", family = "Choudhary", email = "schoudhary@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-5202-7633")),
  person(given = "Charlotte", family = "Darby", email = "cdarby@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0003-2195-5300")),
  person(given = "Jeff", family = "Farrell", email = "jfarrell@g.harvard.edu", role = "ctb"),
  person(given = "Christoph", family = "Hafemeister", email = "chafemeister@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-6365-8254")),
  person(given = "Yuhan", family = "Hao", email = "yhao@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-1810-0822")),
  person(given = "Paul", family = "Hoffman", email = "nygcSatijalab@nygenome.org", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-7693-8957")),
  person(given = "Jaison", family = "Jain", email = "jjain@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-9478-5018")),
  person(given = "Efthymia", family = "Papalexi", email = "epapalexi@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-5898-694X")),
  person(given = "Patrick", family = "Roelli", email = "proelli@nygenome.org", role = "ctb"),
  person(given = "Rahul", family = "Satija", email = "rsatija@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-9448-8833")),
  person(given = "Karthik", family = "Shekhar", email = "kshekhar@berkeley.edu", role = "ctb"),
  person(given = "Avi", family = "Srivastava", email = "asrivastava@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-9798-2079")),
  person(given = "Tim", family = "Stuart", email = "tstuart@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-3044-0897")),
  person(given = "Kristof", family = "Torkenczy", email = "", role = "ctb", comment = c(ORCID = "0000-0002-4869-7957")),
  person(given = "Shiwei", family = "Zheng", email = "szheng@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-6682-6743")),
  person("Satija Lab and Collaborators", role = "fnd")
  )
URL: https://satijalab.org/seurat, https://github.com/satijalab/seurat
BugReports: https://github.com/satijalab/seurat/issues
Depends: R (>= 4.0.0), methods
Imports: cluster, cowplot, fitdistrplus, future, future.apply, ggplot2
        (>= 3.3.0), ggrepel, ggridges, graphics, grDevices, grid, httr,
        ica, igraph, irlba, jsonlite, KernSmooth, leiden (>= 0.3.1),
        lmtest, MASS, Matrix (>= 1.2-14), matrixStats, miniUI,
        patchwork, pbapply, plotly (>= 4.9.0), png, RANN, RColorBrewer,
        Rcpp, RcppAnnoy (>= 0.0.18), reticulate, rlang, ROCR, Rtsne,
        scales, scattermore (>= 0.7), sctransform (>= 0.3.2),
        SeuratObject, shiny, spatstat, stats, tibble, tools, utils,
        uwot (>= 0.1.9)
LinkingTo: Rcpp (>= 0.11.0), RcppEigen, RcppProgress
License: GPL-3 | file LICENSE
LazyData: true
Collate: 'RcppExports.R' 'reexports.R' 'generics.R' 'clustering.R'
        'visualization.R' 'convenience.R' 'data.R'
        'differential_expression.R' 'dimensional_reduction.R'
        'integration.R' 'mixscape.R' 'objects.R' 'preprocessing.R'
        'tree.R' 'utilities.R' 'zzz.R'
RoxygenNote: 7.1.1
Encoding: UTF-8
Suggests: ape, rsvd, testthat, hdf5r, S4Vectors, SummarizedExperiment,
        SingleCellExperiment, MAST, DESeq2, BiocGenerics,
        GenomicRanges, GenomeInfoDb, IRanges, rtracklayer, Rfast2,
        monocle, Biobase, VGAM, limma, metap, enrichR, mixtools
NeedsCompilation: yes
Packaged: 2021-01-28 17:42:40 UTC; paul
Author: Andrew Butler [ctb] (<https://orcid.org/0000-0003-3608-0463>),
  Saket Choudhary [ctb] (<https://orcid.org/0000-0001-5202-7633>),
  Charlotte Darby [ctb] (<https://orcid.org/0000-0003-2195-5300>),
  Jeff Farrell [ctb],
  Christoph Hafemeister [ctb] (<https://orcid.org/0000-0001-6365-8254>),
  Yuhan Hao [ctb] (<https://orcid.org/0000-0002-1810-0822>),
  Paul Hoffman [aut, cre] (<https://orcid.org/0000-0002-7693-8957>),
  Jaison Jain [ctb] (<https://orcid.org/0000-0002-9478-5018>),
  Efthymia Papalexi [ctb] (<https://orcid.org/0000-0001-5898-694X>),
  Patrick Roelli [ctb],
  Rahul Satija [ctb] (<https://orcid.org/0000-0001-9448-8833>),
  Karthik Shekhar [ctb],
  Avi Srivastava [ctb] (<https://orcid.org/0000-0001-9798-2079>),
  Tim Stuart [ctb] (<https://orcid.org/0000-0002-3044-0897>),
  Kristof Torkenczy [ctb] (<https://orcid.org/0000-0002-4869-7957>),
  Shiwei Zheng [ctb] (<https://orcid.org/0000-0001-6682-6743>),
  Satija Lab and Collaborators [fnd]
Maintainer: Paul Hoffman <nygcSatijalab@nygenome.org>
Repository: CRAN
Date/Publication: 2021-01-30 00:00:02 UTC

=== debian/changelog ===
r-cran-seurat (4.0.0-2) unstable; urgency=high

  * Team upload.
  * Make sure excluded test on armhf and i386 will be really ignored
    Closes: #982421

 -- Andreas Tille <tille@debian.org>  Wed, 10 Feb 2021 08:19:01 +0100

r-cran-seurat (4.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: r-cran-seuratobject

 -- Andreas Tille <tille@debian.org>  Mon, 01 Feb 2021 22:09:42 +0100

r-cran-seurat (3.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 23 Jan 2021 08:35:05 +0100

r-cran-seurat (3.2.2-2) unstable; urgency=medium

  * Team upload.
  * Exclude single test for armhf and i386
    Closes: #972553
  * Standards-Version: 4.5.1 (routine-update)
  * No tab in license text (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 19 Nov 2020 11:13:22 +0100

r-cran-seurat (3.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Manually fix versioned Depends: r-cran-sctransform (>= 0.3)

 -- Andreas Tille <tille@debian.org>  Wed, 30 Sep 2020 11:31:02 +0200

r-cran-seurat (3.2.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Test-Depends: r-cran-hdf5r (closes: #970038)

  [ Steffen Moeller ]
  * New upstream version
    Also adding r-cran-hdf5r as a runtime dependency.

 -- Steffen Moeller <moeller@debian.org>  Mon, 14 Sep 2020 14:41:02 +0200

r-cran-seurat (3.2.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Tue, 11 Aug 2020 16:22:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,35 @@
 Source: r-cran-seurat
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ape,
                r-cran-cluster,
                r-cran-cowplot,
                r-cran-fitdistrplus,
                r-cran-future,
                r-cran-future.apply,
-               r-cran-ggplot2 (>= 3.0.0),
+               r-cran-ggplot2 (>= 3.3.0),
                r-cran-ggrepel,
                r-cran-ggridges,
                r-cran-httr,
                r-cran-ica,
                r-cran-igraph,
                r-cran-irlba,
+               r-cran-jsonlite,
                r-cran-kernsmooth,
                r-cran-leiden,
                r-cran-lmtest,
                r-cran-mass,
                r-cran-matrix (>= 1.2-14),
+               r-cran-matrixstats,
+               r-cran-miniui,
                r-cran-patchwork,
                r-cran-pbapply,
-               r-cran-plotly,
+               r-cran-plotly (>= 4.9.0),
                r-cran-png,
                r-cran-rann,
                r-cran-rcolorbrewer,
@@ -41,11 +42,15 @@
                r-cran-rtsne,
                r-cran-scales,
                r-cran-sctransform,
-               r-cran-tsne,
+               r-cran-shiny,
+               r-cran-spatstat,
+               r-cran-tibble,
                r-cran-uwot,
                r-cran-rcppeigen,
-               r-cran-rcppprogress
-Standards-Version: 4.5.0
+               r-cran-rcppprogress,
+               r-cran-scattermore,
+               r-cran-seuratobject
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seurat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seurat.git
 Homepage: https://cran.r-project.org/package=Seurat

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-hdf5r
Restrictions: allow-stderr

## r-cran-seurat 4.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: Seurat
-Version: 4.0.0
-Date: 2021-01-27
+Version: 4.1.0
+Date: 2022-01-14
 Title: Tools for Single Cell Genomics
 Description: A toolkit for quality control, analysis, and exploration of single cell RNA sequencing data. 'Seurat' aims to enable users to identify and interpret sources of heterogeneity from single cell transcriptomic measurements, and to integrate diverse types of single cell data. See Satija R, Farrell J, Gennert D, et al (2015) <doi:10.1038/nbt.3192>, Macosko E, Basu A, Satija R, et al (2015) <doi:10.1016/j.cell.2015.05.002>, Stuart T, Butler A, et al (2019) <doi:10.1016/j.cell.2019.05.031>, and Hao, Hao, et al (2020) <doi:10.1101/2020.10.12.335331> for more details.
 Authors@R: c(
@@ -10,7 +10,7 @@
   person(given = "Jeff", family = "Farrell", email = "jfarrell@g.harvard.edu", role = "ctb"),
   person(given = "Christoph", family = "Hafemeister", email = "chafemeister@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-6365-8254")),
   person(given = "Yuhan", family = "Hao", email = "yhao@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-1810-0822")),
-  person(given = "Paul", family = "Hoffman", email = "nygcSatijalab@nygenome.org", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-7693-8957")),
+  person(given = "Paul", family = "Hoffman", email = "seurat@nygenome.org", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-7693-8957")),
   person(given = "Jaison", family = "Jain", email = "jjain@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-9478-5018")),
   person(given = "Efthymia", family = "Papalexi", email = "epapalexi@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-5898-694X")),
   person(given = "Patrick", family = "Roelli", email = "proelli@nygenome.org", role = "ctb"),
@@ -30,26 +30,27 @@
         ica, igraph, irlba, jsonlite, KernSmooth, leiden (>= 0.3.1),
         lmtest, MASS, Matrix (>= 1.2-14), matrixStats, miniUI,
         patchwork, pbapply, plotly (>= 4.9.0), png, RANN, RColorBrewer,
-        Rcpp, RcppAnnoy (>= 0.0.18), reticulate, rlang, ROCR, Rtsne,
-        scales, scattermore (>= 0.7), sctransform (>= 0.3.2),
-        SeuratObject, shiny, spatstat, stats, tibble, tools, utils,
-        uwot (>= 0.1.9)
+        Rcpp (>= 1.0.7), RcppAnnoy (>= 0.0.18), reticulate, rlang,
+        ROCR, Rtsne, scales, scattermore (>= 0.7), sctransform (>=
+        0.3.3), SeuratObject (>= 4.0.4), shiny, spatstat.core,
+        spatstat.geom, stats, tibble, tools, utils, uwot (>= 0.1.9)
 LinkingTo: Rcpp (>= 0.11.0), RcppEigen, RcppProgress
-License: GPL-3 | file LICENSE
+License: MIT + file LICENSE
 LazyData: true
 Collate: 'RcppExports.R' 'reexports.R' 'generics.R' 'clustering.R'
         'visualization.R' 'convenience.R' 'data.R'
         'differential_expression.R' 'dimensional_reduction.R'
         'integration.R' 'mixscape.R' 'objects.R' 'preprocessing.R'
         'tree.R' 'utilities.R' 'zzz.R'
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 Encoding: UTF-8
 Suggests: ape, rsvd, testthat, hdf5r, S4Vectors, SummarizedExperiment,
         SingleCellExperiment, MAST, DESeq2, BiocGenerics,
         GenomicRanges, GenomeInfoDb, IRanges, rtracklayer, Rfast2,
-        monocle, Biobase, VGAM, limma, metap, enrichR, mixtools
+        monocle, Biobase, VGAM, limma, metap, enrichR, mixtools,
+        ggrastr
 NeedsCompilation: yes
-Packaged: 2021-01-28 17:42:40 UTC; paul
+Packaged: 2022-01-14 17:49:20 UTC; paul
 Author: Andrew Butler [ctb] (<https://orcid.org/0000-0003-3608-0463>),
   Saket Choudhary [ctb] (<https://orcid.org/0000-0001-5202-7633>),
   Charlotte Darby [ctb] (<https://orcid.org/0000-0003-2195-5300>),
@@ -67,6 +68,6 @@
   Kristof Torkenczy [ctb] (<https://orcid.org/0000-0002-4869-7957>),
   Shiwei Zheng [ctb] (<https://orcid.org/0000-0001-6682-6743>),
   Satija Lab and Collaborators [fnd]
-Maintainer: Paul Hoffman <nygcSatijalab@nygenome.org>
+Maintainer: Paul Hoffman <seurat@nygenome.org>
 Repository: CRAN
-Date/Publication: 2021-01-30 00:00:02 UTC
+Date/Publication: 2022-01-14 18:32:42 UTC

=== debian/changelog ===
r-cran-seurat (4.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 24 Jan 2022 13:34:39 +0100

r-cran-seurat (4.0.6-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 4.0.6
  * dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Fri, 31 Dec 2021 16:02:33 +0530

r-cran-seurat (4.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 20 Oct 2021 19:45:39 +0000

r-cran-seurat (4.0.4-2) unstable; urgency=medium

  * Team Upload.
  * d/{p/fix_autopkgtest.patch,control}: Manually set
    matrix package to correct version

 -- Nilesh Patra <nilesh@debian.org>  Thu, 30 Sep 2021 02:31:13 +0530

r-cran-seurat (4.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Manual addition of r-cran-spatstat.core to Depends

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 15:14:06 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                r-cran-leiden,
                r-cran-lmtest,
                r-cran-mass,
-               r-cran-matrix (>= 1.2-14),
+               r-cran-matrix,
                r-cran-matrixstats,
                r-cran-miniui,
                r-cran-patchwork,
@@ -33,24 +33,24 @@
                r-cran-png,
                r-cran-rann,
                r-cran-rcolorbrewer,
-               r-cran-rcpp,
-               r-cran-rcppannoy,
+               r-cran-rcpp (>= 1.0.7),
+               r-cran-rcppannoy (>= 0.0.18),
                r-cran-reticulate,
                r-cran-rlang,
                r-cran-rocr,
-               r-cran-rsvd,
                r-cran-rtsne,
                r-cran-scales,
-               r-cran-sctransform,
+               r-cran-scattermore,
+               r-cran-sctransform (>= 0.3.3),
+               r-cran-seuratobject (>= 4.0.4),
                r-cran-shiny,
-               r-cran-spatstat,
+               r-cran-spatstat.core,
+               r-cran-spatstat.geom,
                r-cran-tibble,
                r-cran-uwot,
                r-cran-rcppeigen,
-               r-cran-rcppprogress,
-               r-cran-scattermore,
-               r-cran-seuratobject
-Standards-Version: 4.5.1
+               r-cran-rcppprogress
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seurat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seurat.git
 Homepage: https://cran.r-project.org/package=Seurat

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/Seurat_([-\d.]*)\.tar\.gz

## r-cran-seurat 4.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: Seurat
-Version: 4.1.0
-Date: 2022-01-14
+Version: 4.3.0
+Date: 2022-11-18
 Title: Tools for Single Cell Genomics
 Description: A toolkit for quality control, analysis, and exploration of single cell RNA sequencing data. 'Seurat' aims to enable users to identify and interpret sources of heterogeneity from single cell transcriptomic measurements, and to integrate diverse types of single cell data. See Satija R, Farrell J, Gennert D, et al (2015) <doi:10.1038/nbt.3192>, Macosko E, Basu A, Satija R, et al (2015) <doi:10.1016/j.cell.2015.05.002>, Stuart T, Butler A, et al (2019) <doi:10.1016/j.cell.2019.05.031>, and Hao, Hao, et al (2020) <doi:10.1101/2020.10.12.335331> for more details.
 Authors@R: c(
@@ -10,8 +10,10 @@
   person(given = "Jeff", family = "Farrell", email = "jfarrell@g.harvard.edu", role = "ctb"),
   person(given = "Christoph", family = "Hafemeister", email = "chafemeister@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-6365-8254")),
   person(given = "Yuhan", family = "Hao", email = "yhao@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-1810-0822")),
+  person(given = "Austin", family = "Hartman", email = "ahartman@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-7278-1852")),
   person(given = "Paul", family = "Hoffman", email = "seurat@nygenome.org", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-7693-8957")),
   person(given = "Jaison", family = "Jain", email = "jjain@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-9478-5018")),
+  person(given = "Madeline", family = "Kowalski", email = "mkowalski@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-5655-7620")),
   person(given = "Efthymia", family = "Papalexi", email = "epapalexi@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-5898-694X")),
   person(given = "Patrick", family = "Roelli", email = "proelli@nygenome.org", role = "ctb"),
   person(given = "Rahul", family = "Satija", email = "rsatija@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-9448-8833")),
@@ -28,12 +30,13 @@
 Imports: cluster, cowplot, fitdistrplus, future, future.apply, ggplot2
         (>= 3.3.0), ggrepel, ggridges, graphics, grDevices, grid, httr,
         ica, igraph, irlba, jsonlite, KernSmooth, leiden (>= 0.3.1),
-        lmtest, MASS, Matrix (>= 1.2-14), matrixStats, miniUI,
-        patchwork, pbapply, plotly (>= 4.9.0), png, RANN, RColorBrewer,
-        Rcpp (>= 1.0.7), RcppAnnoy (>= 0.0.18), reticulate, rlang,
-        ROCR, Rtsne, scales, scattermore (>= 0.7), sctransform (>=
-        0.3.3), SeuratObject (>= 4.0.4), shiny, spatstat.core,
-        spatstat.geom, stats, tibble, tools, utils, uwot (>= 0.1.9)
+        lmtest, MASS, Matrix (>= 1.5-0), matrixStats, miniUI,
+        patchwork, pbapply, plotly (>= 4.9.0), png, progressr, RANN,
+        RColorBrewer, Rcpp (>= 1.0.7), RcppAnnoy (>= 0.0.18),
+        reticulate, rlang, ROCR, Rtsne, scales, scattermore (>= 0.7),
+        sctransform (>= 0.3.5), SeuratObject (>= 4.1.3), shiny,
+        spatstat.explore, spatstat.geom, stats, tibble, tools, utils,
+        uwot (>= 0.1.14)
 LinkingTo: Rcpp (>= 0.11.0), RcppEigen, RcppProgress
 License: MIT + file LICENSE
 LazyData: true
@@ -42,23 +45,25 @@
         'differential_expression.R' 'dimensional_reduction.R'
         'integration.R' 'mixscape.R' 'objects.R' 'preprocessing.R'
         'tree.R' 'utilities.R' 'zzz.R'
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.2
 Encoding: UTF-8
 Suggests: ape, rsvd, testthat, hdf5r, S4Vectors, SummarizedExperiment,
         SingleCellExperiment, MAST, DESeq2, BiocGenerics,
         GenomicRanges, GenomeInfoDb, IRanges, rtracklayer, Rfast2,
         monocle, Biobase, VGAM, limma, metap, enrichR, mixtools,
-        ggrastr
+        ggrastr, data.table, R.utils
 NeedsCompilation: yes
-Packaged: 2022-01-14 17:49:20 UTC; paul
+Packaged: 2022-11-18 18:46:03 UTC; hartmana
 Author: Andrew Butler [ctb] (<https://orcid.org/0000-0003-3608-0463>),
   Saket Choudhary [ctb] (<https://orcid.org/0000-0001-5202-7633>),
   Charlotte Darby [ctb] (<https://orcid.org/0000-0003-2195-5300>),
   Jeff Farrell [ctb],
   Christoph Hafemeister [ctb] (<https://orcid.org/0000-0001-6365-8254>),
   Yuhan Hao [ctb] (<https://orcid.org/0000-0002-1810-0822>),
+  Austin Hartman [ctb] (<https://orcid.org/0000-0001-7278-1852>),
   Paul Hoffman [aut, cre] (<https://orcid.org/0000-0002-7693-8957>),
   Jaison Jain [ctb] (<https://orcid.org/0000-0002-9478-5018>),
+  Madeline Kowalski [ctb] (<https://orcid.org/0000-0002-5655-7620>),
   Efthymia Papalexi [ctb] (<https://orcid.org/0000-0001-5898-694X>),
   Patrick Roelli [ctb],
   Rahul Satija [ctb] (<https://orcid.org/0000-0001-9448-8833>),
@@ -70,4 +75,4 @@
   Satija Lab and Collaborators [fnd]
 Maintainer: Paul Hoffman <seurat@nygenome.org>
 Repository: CRAN
-Date/Publication: 2022-01-14 18:32:42 UTC
+Date/Publication: 2022-11-18 23:30:08 UTC

=== debian/changelog ===
r-cran-seurat (4.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2022 14:12:20 +0100

r-cran-seurat (4.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Upstream has applied patch
  * Build-Depends: r-cran-spatstat.explore

 -- Andreas Tille <tille@debian.org>  Fri, 09 Dec 2022 11:40:38 +0100

r-cran-seurat (4.2.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

  [ Nilesh Patra ]
  * New upstream version 4.2.0
  * Run dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Fri, 28 Oct 2022 00:45:00 +0530

=== debian/control ===
--- 
+++ 
@@ -24,13 +24,14 @@
                r-cran-leiden,
                r-cran-lmtest,
                r-cran-mass,
-               r-cran-matrix,
+               r-cran-matrix (>= 1.5-0),
                r-cran-matrixstats,
                r-cran-miniui,
                r-cran-patchwork,
                r-cran-pbapply,
                r-cran-plotly (>= 4.9.0),
                r-cran-png,
+               r-cran-progressr,
                r-cran-rann,
                r-cran-rcolorbrewer,
                r-cran-rcpp (>= 1.0.7),
@@ -41,16 +42,16 @@
                r-cran-rtsne,
                r-cran-scales,
                r-cran-scattermore,
-               r-cran-sctransform (>= 0.3.3),
-               r-cran-seuratobject (>= 4.0.4),
+               r-cran-sctransform (>= 0.3.5),
+               r-cran-seuratobject (>= 4.1.3),
                r-cran-shiny,
-               r-cran-spatstat.core,
+               r-cran-spatstat.explore,
                r-cran-spatstat.geom,
                r-cran-tibble,
-               r-cran-uwot,
+               r-cran-uwot (>= 0.1.14),
                r-cran-rcppeigen,
                r-cran-rcppprogress
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seurat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seurat.git
 Homepage: https://cran.r-project.org/package=Seurat

## r-cran-seurat 4.3.0.1

=== debian/changelog ===
r-cran-seurat (4.3.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 30 Jun 2023 21:53:15 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-cran-fitdistrplus,
                r-cran-future,
                r-cran-future.apply,
-               r-cran-ggplot2 (>= 3.3.0),
+               r-cran-ggplot2,
                r-cran-ggrepel,
                r-cran-ggridges,
                r-cran-httr,
@@ -29,13 +29,13 @@
                r-cran-miniui,
                r-cran-patchwork,
                r-cran-pbapply,
-               r-cran-plotly (>= 4.9.0),
+               r-cran-plotly,
                r-cran-png,
                r-cran-progressr,
                r-cran-rann,
                r-cran-rcolorbrewer,
                r-cran-rcpp (>= 1.0.7),
-               r-cran-rcppannoy (>= 0.0.18),
+               r-cran-rcppannoy,
                r-cran-reticulate,
                r-cran-rlang,
                r-cran-rocr,
@@ -51,7 +51,7 @@
                r-cran-uwot (>= 0.1.14),
                r-cran-rcppeigen,
                r-cran-rcppprogress
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seurat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seurat.git
 Homepage: https://cran.r-project.org/package=Seurat

## r-cran-seurat 5.0.1

=== DESCRIPTION ===
Package: Seurat
Version: 5.0.1
Date: 2023-11-16
Title: Tools for Single Cell Genomics
Description: A toolkit for quality control, analysis, and exploration of single cell RNA sequencing data. 'Seurat' aims to enable users to identify and interpret sources of heterogeneity from single cell transcriptomic measurements, and to integrate diverse types of single cell data. See Satija R, Farrell J, Gennert D, et al (2015) <doi:10.1038/nbt.3192>, Macosko E, Basu A, Satija R, et al (2015) <doi:10.1016/j.cell.2015.05.002>, Stuart T, Butler A, et al (2019) <doi:10.1016/j.cell.2019.05.031>, and Hao, Hao, et al (2020) <doi:10.1101/2020.10.12.335331> for more details.
Authors@R: c(
  person(given = "Andrew", family = "Butler", email = "abutler@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0003-3608-0463")),
  person(given = "Saket", family = "Choudhary", email = "schoudhary@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-5202-7633")),
  person(given = "Charlotte", family = "Darby", email = "cdarby@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0003-2195-5300")),
  person(given = "Jeff", family = "Farrell", email = "jfarrell@g.harvard.edu", role = "ctb"),
  person(given = "Isabella", family = "Grabski", email = "igrabski@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-0616-5469")),
  person(given = "Christoph", family = "Hafemeister", email = "chafemeister@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-6365-8254")),
  person(given = "Yuhan", family = "Hao", email = "yhao@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-1810-0822")),
  person(given = "Austin", family = "Hartman", email = "ahartman@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-7278-1852")),
  person(given = "Paul", family = "Hoffman", email = "hoff0792@umn.edu", role = "ctb", comment = c(ORCID = "0000-0002-7693-8957")),
  person(given = "Jaison", family = "Jain", email = "jjain@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-9478-5018")),
  person(given = "Longda", family = "Jiang", email = "ljiang@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0003-4964-6497")),
  person(given = "Madeline", family = "Kowalski", email = "mkowalski@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-5655-7620")),
  person(given = "Skylar", family = "Li", email = "sli@nygenome.org", role = "ctb"),
  person(given = "Gesmira", family = "Molla", email = 'gmolla@nygenome.org', role = 'ctb', comment = c(ORCID = '0000-0002-8628-5056')),
  person(given = "Efthymia", family = "Papalexi", email = "epapalexi@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-5898-694X")),
  person(given = "Patrick", family = "Roelli", email = "proelli@nygenome.org", role = "ctb"),
  person(given = "Rahul", family = "Satija", email = "seurat@nygenome.org", role = c("aut", "cre"), comment = c(ORCID = "0000-0001-9448-8833")),
  person(given = "Karthik", family = "Shekhar", email = "kshekhar@berkeley.edu", role = "ctb"),
  person(given = "Avi", family = "Srivastava", email = "asrivastava@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-9798-2079")),
  person(given = "Tim", family = "Stuart", email = "tstuart@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-3044-0897")),
  person(given = "Kristof", family = "Torkenczy", email = "", role = "ctb", comment = c(ORCID = "0000-0002-4869-7957")),
  person(given = "Shiwei", family = "Zheng", email = "szheng@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-6682-6743")),
  person("Satija Lab and Collaborators", role = "fnd")
  )
URL: https://satijalab.org/seurat, https://github.com/satijalab/seurat
BugReports: https://github.com/satijalab/seurat/issues
Additional_repositories: https://satijalab.r-universe.dev,
        https://bnprks.r-universe.dev
Depends: R (>= 4.0.0), methods, SeuratObject (>= 5.0.0)
Imports: cluster, cowplot, fastDummies, fitdistrplus, future,
        future.apply, generics (>= 0.1.3), ggplot2 (>= 3.3.0), ggrepel,
        ggridges, graphics, grDevices, grid, httr, ica, igraph, irlba,
        jsonlite, KernSmooth, leiden (>= 0.3.1), lifecycle, lmtest,
        MASS, Matrix (>= 1.5-0), matrixStats, miniUI, patchwork,
        pbapply, plotly (>= 4.9.0), png, progressr, purrr, RANN,
        RColorBrewer, Rcpp (>= 1.0.7), RcppAnnoy (>= 0.0.18), RcppHNSW,
        reticulate, rlang, ROCR, RSpectra, Rtsne, scales, scattermore
        (>= 1.2), sctransform (>= 0.4.1), shiny, spatstat.explore,
        spatstat.geom, stats, tibble, tools, utils, uwot (>= 0.1.10)
LinkingTo: Rcpp (>= 0.11.0), RcppEigen, RcppProgress
License: MIT + file LICENSE
LazyData: true
Collate: 'RcppExports.R' 'reexports.R' 'generics.R' 'clustering.R'
        'visualization.R' 'convenience.R' 'data.R'
        'differential_expression.R' 'dimensional_reduction.R'
        'integration.R' 'zzz.R' 'integration5.R' 'mixscape.R'
        'objects.R' 'preprocessing.R' 'preprocessing5.R' 'roxygen.R'
        'sketching.R' 'tree.R' 'utilities.R'
RoxygenNote: 7.2.3
Encoding: UTF-8
Suggests: ape, BPCells, rsvd, testthat, hdf5r, S4Vectors,
        SummarizedExperiment, SingleCellExperiment, MAST, DESeq2,
        BiocGenerics, GenomicRanges, GenomeInfoDb, IRanges,
        rtracklayer, Rfast2, monocle, Biobase, VGAM, limma, metap,
        enrichR, mixtools, ggrastr, data.table, R.utils, presto,
        DelayedArray, harmony
NeedsCompilation: yes
Packaged: 2023-11-16 20:50:34 UTC; mollag
Author: Andrew Butler [ctb] (<https://orcid.org/0000-0003-3608-0463>),
  Saket Choudhary [ctb] (<https://orcid.org/0000-0001-5202-7633>),
  Charlotte Darby [ctb] (<https://orcid.org/0000-0003-2195-5300>),
  Jeff Farrell [ctb],
  Isabella Grabski [ctb] (<https://orcid.org/0000-0002-0616-5469>),
  Christoph Hafemeister [ctb] (<https://orcid.org/0000-0001-6365-8254>),
  Yuhan Hao [ctb] (<https://orcid.org/0000-0002-1810-0822>),
  Austin Hartman [ctb] (<https://orcid.org/0000-0001-7278-1852>),
  Paul Hoffman [ctb] (<https://orcid.org/0000-0002-7693-8957>),
  Jaison Jain [ctb] (<https://orcid.org/0000-0002-9478-5018>),
  Longda Jiang [ctb] (<https://orcid.org/0000-0003-4964-6497>),
  Madeline Kowalski [ctb] (<https://orcid.org/0000-0002-5655-7620>),
  Skylar Li [ctb],
  Gesmira Molla [ctb] (<https://orcid.org/0000-0002-8628-5056>),
  Efthymia Papalexi [ctb] (<https://orcid.org/0000-0001-5898-694X>),
  Patrick Roelli [ctb],
  Rahul Satija [aut, cre] (<https://orcid.org/0000-0001-9448-8833>),
  Karthik Shekhar [ctb],
  Avi Srivastava [ctb] (<https://orcid.org/0000-0001-9798-2079>),
  Tim Stuart [ctb] (<https://orcid.org/0000-0002-3044-0897>),
  Kristof Torkenczy [ctb] (<https://orcid.org/0000-0002-4869-7957>),
  Shiwei Zheng [ctb] (<https://orcid.org/0000-0001-6682-6743>),
  Satija Lab and Collaborators [fnd]
Maintainer: Rahul Satija <seurat@nygenome.org>
Repository: CRAN
Date/Publication: 2023-11-17 23:10:06 UTC

=== debian/changelog ===
r-cran-seurat (5.0.1-1) unstable; urgency=medium

  * Team upload
  * d/watch: cloud.r-project.org does not seem to respond - using
             cran.r-project.org instead
  * dh-update-R to update Build-Depends (routine-update)
  * It turns out that we really need r-cran-seuratobject (>= 5.0.1)
    (instead of >= 5.0.0)

 -- Andreas Tille <tille@debian.org>  Fri, 24 Nov 2023 17:04:16 +0100

r-cran-seurat (4.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Oct 2023 13:56:17 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-seuratobject (>= 5.0.1),
                r-cran-cluster,
                r-cran-cowplot,
+               r-cran-fastdummies,
                r-cran-fitdistrplus,
                r-cran-future,
                r-cran-future.apply,
+               r-cran-generics (>= 0.1.3),
                r-cran-ggplot2,
                r-cran-ggrepel,
                r-cran-ggridges,
@@ -22,6 +25,7 @@
                r-cran-jsonlite,
                r-cran-kernsmooth,
                r-cran-leiden,
+               r-cran-lifecycle,
                r-cran-lmtest,
                r-cran-mass,
                r-cran-matrix (>= 1.5-0),
@@ -32,23 +36,25 @@
                r-cran-plotly,
                r-cran-png,
                r-cran-progressr,
+               r-cran-purrr,
                r-cran-rann,
                r-cran-rcolorbrewer,
                r-cran-rcpp (>= 1.0.7),
                r-cran-rcppannoy,
+               r-cran-rcpphnsw,
                r-cran-reticulate,
                r-cran-rlang,
                r-cran-rocr,
+               r-cran-rspectra,
                r-cran-rtsne,
                r-cran-scales,
-               r-cran-scattermore,
-               r-cran-sctransform (>= 0.3.5),
-               r-cran-seuratobject (>= 4.1.3),
+               r-cran-scattermore (>= 1.2),
+               r-cran-sctransform (>= 0.4.1),
                r-cran-shiny,
                r-cran-spatstat.explore,
                r-cran-spatstat.geom,
                r-cran-tibble,
-               r-cran-uwot (>= 0.1.14),
+               r-cran-uwot,
                r-cran-rcppeigen,
                r-cran-rcppprogress
 Standards-Version: 4.6.2

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-ape,
        r-cran-rsvd,
        r-cran-testthat,
        r-cran-hdf5r,
        r-bioc-s4vectors,
        r-bioc-summarizedexperiment,
        r-bioc-singlecellexperiment,
        r-bioc-deseq2,
        r-bioc-biocgenerics,
        r-bioc-genomicranges,
        r-bioc-genomeinfodb,
        r-bioc-iranges,
        r-bioc-rtracklayer,
        r-bioc-monocle,
        r-bioc-biobase,
        r-cran-vgam,
        r-bioc-limma,
        r-cran-metap,
        r-cran-mixtools,
        r-cran-ggrastr,
        r-cran-data.table,
        r-cran-r.utils,
        r-bioc-delayedarray
Restrictions: allow-stderr
